Bug 448598 - CONFIG_DEBUG_PAGEALLOC doesn't work on ppc32 [NEEDINFO]
CONFIG_DEBUG_PAGEALLOC doesn't work on ppc32
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 15:23 EDT by Jesse Keating
Modified: 2013-01-09 22:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:10:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
poelstra: needinfo? (kernel-maint)


Attachments (Terms of Use)
Photo of oops (1.12 MB, image/jpeg)
2008-05-27 15:23 EDT, Jesse Keating
no flags Details
Another oops with selinux=0 (1.07 MB, image/jpeg)
2008-05-27 15:42 EDT, Jesse Keating
no flags Details
powerpc32 UP config (80.69 KB, text/plain)
2008-05-27 21:16 EDT, Josh Boyer
no flags Details

  None (edit)
Description Jesse Keating 2008-05-27 15:23:10 EDT
I'm getting oopses from the kernel on a ppc mac mini with rawhide kernel. 
Fedora 9 installs and runs fine, it's only after rebooting to the rawhide kernel
that I start getting oopses.  I've attached a photo from the screen, I can get
more if necessary.
Comment 1 Jesse Keating 2008-05-27 15:23:11 EDT
Created attachment 306824 [details]
Photo of oops
Comment 2 Dave Jones 2008-05-27 15:40:58 EDT
This only just started happening because I turned on PAGEALLOC_DEBUG for all archs.

There was an exception in the ppc config disabling this, which meant that it
never got tested during F9 development at all.

Looking at the oops, I'm wondering if this feature is just busted on PPC, and
that's why it was explicitly disabled, rather than inheriting the setting from
config-generic.
Comment 3 Jesse Keating 2008-05-27 15:42:47 EDT
Created attachment 306826 [details]
Another oops with selinux=0

I was asked to boot with selinux=0 and I got farther.
Comment 4 Josh Boyer 2008-05-27 21:00:13 EDT
Added Ben to CC.  Perhaps he can decipher some of the mysticism behind why
PAGEALLOC_DEBUG wasn't set in the past.
Comment 5 Josh Boyer 2008-05-27 21:16:15 EDT
Created attachment 306871 [details]
powerpc32 UP config

This should be the .config file that is used with the rawhide kernels.
Comment 6 Benjamin Herrenschmidt 2008-05-28 05:38:09 EDT
I'll have a look tomorrow. In the meantime, fedora should disable it for 32 bits
powerpc (64 bits should be allright). Appart from the problem reported, there
are known issues with DEBUG_PAGEALLOC on ppc32 SMP for example. I have some
plans to fix that but in the meantime, it's probably better to disable the whole
thing.
Comment 7 Dave Jones 2008-06-04 14:46:55 EDT
Disabled on ppc32 for now.
Comment 8 John Poelstra 2008-10-15 19:25:12 EDT
Per comment #7.  Is this bug resolved?

This bug has been triaged
Comment 9 Dave Jones 2008-10-16 11:19:14 EDT
John, upstream is still broken, but when we enabled this option during development we explicitly disabled it on ppc32.  It's likely we'll do the same thing when F11 opens up for devel, and continue doing so until upstream supports DEBUG_PAGEALLOC
Comment 10 Benjamin Herrenschmidt 2008-10-16 18:22:37 EDT
Dave: that's probably the way to go. It's going to take time to fix that one, because of the way ppc32 "classic MMU" works. We map the kernel linear mapping using a specific CPU facility to create huge fixed mappings that is fundamentally incompatible with DEBUG_PAGEALLOC, and we have some areas where the code assumes that mapping (ie, it assumes it cannot take an MMU hash miss) on linear mapping accesses. It's possible to "fix" but tricky and nobody so far had time to work on it.
Comment 11 Bug Zapper 2008-11-25 21:20:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jesse Keating 2009-02-05 21:02:53 EST
So what's the status on this one?
Comment 13 Bug Zapper 2009-11-18 07:31:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:10:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.